;/***********************************************************************\
*
* $Revision: 878 $
* $Date: 2021-02-13 19:29:49 +0100 (Sat, 13 Feb 2021) $
* $Author: torsten $
* Contents: status text
* Systems: all
*
\***********************************************************************/

/****************************** Imports ********************************/
// base
import java.util.Timer;
import java.util.TimerTask;

// graphics
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;

/****************************** Classes ********************************/

/** status text
*/
public class StatusText
{
  private final Thread thread;
  private String       text;

  /** create status text
   * @param format format
   * @param arguments optional arguments
   */
  StatusText(String format, Object... arguments)
  {
    this.thread = Thread.currentThread();
    this.text   = String.format(format,arguments);
  }

  /** create status text
   */
  StatusText()
  {
    this("");
  }

  /** get text
   * @return text
   */
  public String get()
  {
    return text;
  }

  /** set text
   * @param format format
   * @param arguments optional arguments
   */
  public void set(String format, Object... arguments)
  {
    text = String.format(format,arguments);
  }

  /** convert to string
   * @return string
   */
  public String toString()
  {
    return text;
  }
};

/* end of file */
